> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file names in snapshot

> Get file names in the specified snapshot



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /datasetrw/files/{snapshotId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /datasetrw/files/{snapshotId}:
    get:
      tags:
        - Datasets
      summary: Get file names in snapshot
      description: Get file names in the specified snapshot
      parameters:
        - description: ID of snapshot
          name: snapshotId
          in: path
          required: true
          schema:
            type: string
        - description: Subpath to get files at
          name: path
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/data-webvfs-service_model.SnapshotDirectoryFiles
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-webvfs-service_model.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-webvfs-service_model.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-webvfs-service_model.HTTPError'
components:
  schemas:
    data-webvfs-service_model.SnapshotDirectoryFiles:
      type: object
      properties:
        directorySize:
          type: string
        rows:
          type: array
          items:
            $ref: '#/components/schemas/data-webvfs-service_model.FileDetails'
    data-webvfs-service_model.HTTPError:
      type: object
      properties:
        message:
          type: string
          example: Bad Request
        success:
          type: boolean
          example: false
    data-webvfs-service_model.FileDetails:
      type: object
      properties:
        lastModified:
          type: integer
        name:
          $ref: '#/components/schemas/data-webvfs-service_model.FileNameDetails'
        size:
          $ref: '#/components/schemas/data-webvfs-service_model.FileSizeDetails'
    data-webvfs-service_model.FileNameDetails:
      type: object
      properties:
        fileName:
          type: string
        isDirectory:
          type: boolean
        label:
          type: string
        sortableName:
          type: string
        url:
          type: string
    data-webvfs-service_model.FileSizeDetails:
      type: object
      properties:
        label:
          type: string
        sizeInBytes:
          type: integer

````

## Related topics

- [Get file names in a snapshot recursively](/6.3/api-reference/netapp-volumes-snapshots/get-file-names-in-a-snapshot-recursively.md)
- [Get file names in a volume snapshot](/6.3/api-reference/netapp-volumes-snapshots/get-file-names-in-a-volume-snapshot.md)
- [Get file names in a snapshot at a specific subpath recursively](/6.3/api-reference/datasets/get-file-names-in-a-snapshot-at-a-specific-subpath-recursively.md)
- [Get snapshot file metadata at path](/6.3/api-reference/datasets/get-snapshot-file-metadata-at-path.md)
